Skip site navigation (1)Skip section navigation (2)
Date:      Fri, 2 Jul 2021 05:25:43 GMT
From:      Peter Holm <pho@FreeBSD.org>
To:        src-committers@FreeBSD.org, dev-commits-src-all@FreeBSD.org, dev-commits-src-main@FreeBSD.org
Subject:   git: 5bd70f050072 - main - stress2: Improve cleanup code
Message-ID:  <202107020525.1625PhAd078350@gitrepo.freebsd.org>

next in thread | raw e-mail | index | archive | help
The branch main has been updated by pho:

URL: https://cgit.FreeBSD.org/src/commit/?id=5bd70f050072bced1f0b7a566932857b3dd506ef

commit 5bd70f050072bced1f0b7a566932857b3dd506ef
Author:     Peter Holm <pho@FreeBSD.org>
AuthorDate: 2021-07-02 05:22:18 +0000
Commit:     Peter Holm <pho@FreeBSD.org>
CommitDate: 2021-07-02 05:22:18 +0000

    stress2: Improve cleanup code
---
 tools/test/stress2/misc/mmap3.sh | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/tools/test/stress2/misc/mmap3.sh b/tools/test/stress2/misc/mmap3.sh
index bc5905dd920e..9175b77842f3 100755
--- a/tools/test/stress2/misc/mmap3.sh
+++ b/tools/test/stress2/misc/mmap3.sh
@@ -42,11 +42,12 @@ while [ `date '+%s'` -lt $((start + 5 * 60)) ]; do
 	./mmap3
 done
 echo "Expect Segmentation faults"
+trap "rm -f /tmp/mmap3.0*" EXIT INT
 start=`date '+%s'`
 while [ `date '+%s'` -lt $((start + 5 * 60)) ]; do
 	./mmap3 random
 done
-rm -f mmap3 mmap3.core /tmp/mmap.0*
+rm -f mmap3 mmap3.core /tmp/mmap3.0*
 exit
 
 EOF
@@ -102,7 +103,7 @@ work(int nr)
 	p = (void *)STARTADDR;
 	len = ADRSPACE;
 
-	sprintf(path, "/tmp/mmap.%06d.%04d", getpid(), nr);
+	sprintf(path, "/tmp/mmap3.%06d.%04d", getpid(), nr);
 	if ((fd = open(path, O_CREAT | O_TRUNC | O_RDWR, 0622)) == -1)
 		err(1,"open()");
 	if (ftruncate(fd, len) == -1)



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?202107020525.1625PhAd078350>